/// @author: jvrodrigo
class Constants {
  static const String CHANNEL_NAME_HTTP = "dcoupon_sdk_channel_http";
  static const String CHANNEL_NAME_VIEW = "dcoupon_sdk_channel_view";
  static const String THIRD_PARTY_LOGIN = "login";
  static const String THIRD_PARTY_ENROLLMENT_FORM = "enrollmentform";
  static const String THIRD_PARTY_ACCEPT_ENROLLMENT = "acceptenrollment";
  static const String USER_COUPONS = "userCoupons";
  static const String USER_COUPON = "userCoupon";
  static const String USER_REDEMPTION_CODE = "redemptionCode";
  static const String USER_COUPON_ACTIVATE = "activateCoupon";
  static const String USER_COUPON_DEACTIVATE = "deactivateCoupon";
  static const String USER_CREATE_COUPONS = "createCoupons";
  static const String PUBLISHER_CATEGORIES = "publisherCategories";
  static const String PUBLISHER_COMPANIES = "publisherCompanies";
  static const String PUBLISHER_RETAILERS = "publisherRetailers";
  static const String PUBLISHER_PROMOTIONS = "publisherPromotions";
  static const String PUBLISHER_PROMOTION = "publisherPromotion";
  static const String PUBLISHER_STORES = "publisherStores";
  static const String JWT = "jwt";
  static const String URL_REDIRECT = "urlRedirect";
  static const String METHOD = "method";
  static const String EMAIL = "email";
  static const String EXTERNAL_ID = "externalId";
  static const String ALIAS = "alias";
  static const String GENDER = "gender";
  static const String BIRTHDATE = "birthdate";
  static const String MALE = "MALE";
  static const String FEMALE = "FEMALE";
  static const String OTHER = "OTHER";
  static const String RATHER_NOT_SAY = "RATHERNOTSAY";
  static const String LEGAL_DOCUMENTS_ACCEPTED = "legalDocumentsAccepted";
  static const String CLIENT_API_TOKEN = "client-api-token";
  static const String CLIENT_SECRET_KEY = "client-secret-key";
  static const String CLIENT_TYPE = "client-type";
  static const String CLIENT_COUNTRY = "clientCountry";
  static const String CLIENT_DOMAIN = "client-domain";
  static const String CLIENT_TYPE_RETAILER = "RETAILER";
  static const String CLIENT_TYPE_COMPANY = "COMPANY";
  static const String COUPON_DETAIL_LIST = "couponDetailList";
  static const String CONTENT_TYPE = "Content-Type";
  static const String JSON_UTF_8 = "application/json";
  static const String TRUE = "true";
  static const String FALSE = "false";
  static const String FORM = "form";
  static const String LEGAL_DOCUMENTS = "legalDocuments";
  static const String DOC_TYPE = "docType";
  static const String DOC_UUID = "docUuid";
  static const String DEFAULT_LANG = "defaultLang";
  static const String CONTENT = "content";
  static const String LEGAL_DOC = "legalDoc";
  static const String PP = "pp";
  static const String TOU = "tou";
  static const String USER = "user";
  static const String OK = "OK";
  static const String ERROR = "ERROR";
  static const String REQUEST_TIMEOUT = "Request timeout";
  static const String PUBLISHER_ID = "publisherId";
  static const String API_TOKEN_PUBLISHER = "apiTokenPublisher";
  static const String START = "start";
  static const String LIMIT = "limit";
  static const String SORT_BY = "sortBy";
  static const String CATEGORY_IDS = "categoryIds";
  static const String STORE_IDS = "storeIds";
  static const String LONGITUDE = "longitude";
  static const String LATITUDE = "latitude";
  static const String PROMOTION_TOKEN = "promotionToken";
  static const String ZIPCODE = "zipcode";
  static const String RADIUS = "radius";
  static const String RETAILER_TOKENS = "retailerTokens";
  static const String COMPANY_TOKENS = "companyTokens";
  static const String COUNTRY = "country";
  static const String SIGNATURE_VALUE = "signatureValue";
  static const String DATETIME = "datetime";
  static const String LANG = "lang";
  static const String PATH_PARAMETER = "pathParameter";
  static const String META_COUPON_TOKENS = "metaCouponTokens";
  static const String API_TOKEN_META_COUPON = "apiTokenMetaCoupon";
  static const String UCUPON_TYPE = "ucuponType";
  static const String CREATION_LONGITUDE = "creationLongitude";
  static const String SOURCE = "source";
  static const String CREATION_LATITUDE = "creationLatitude";
  static const String TRANS_ID = "transId";
  static const String CRM_ID = "crmId";
  static const String TEXT_SEARCH = "textSearch";
  static const String ORDER_BY = "orderBy";
}
