import 'dart:ui';

import 'package:flutter/material.dart';

import 'constants.dart';
import 'enrollmentformview.dart';
import 'httpservice.dart';

void main() => runApp(_widgetForRoute(window.defaultRouteName));

Widget _widgetForRoute(String route) {
  //print("ROUTE -> " + route);
  switch (route) {
    case Constants.THIRD_PARTY_ENROLLMENT_FORM:
      return EnrollmentFormView();
    default:
      return HttpService();
  }
}
